Name:           swh-plugins
Version:        0.4.2
Release:        0.fdr.1.rh80
Epoch:          0
Summary:        Steve Harris's set of audio plug-ins for LADSPA.

Group:          Libraries/Multimedia
License:        GPL
URL:            http://wwww.plugin.org.uk/
Source:         http://plugin.org.uk/releases/%{version}/%{name}-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:	fftw
BuildRequires:	ladspa-devel
BuildRequires:	fftw-devel
# gverb/ dir requires libtool instead of using the created one, FIXME
BuildRequires:  libtool

%description
swh-plugins is a set of audio plugins for LADSPA written by Steve Harris.
                                                                                
# -----------------------------------------------------------------------------

%prep
%setup -q

# -----------------------------------------------------------------------------

%build
%configure
make %{?_smp_mflags}

# -----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT
# INSTALL_ROOT is used in toplevel Makefile.am
# DESTDIR is used in all other subdirs
make INSTALL_ROOT=$RPM_BUILD_ROOT DESTDIR=$RPM_BUILD_ROOT install

# FIXME: when there are translations, do this properly
find $RPM_BUILD_ROOT%{_datadir} -type f -name "*.mo" -exec rm -f {} ';'

# -----------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# -----------------------------------------------------------------------------

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING INSTALL NEWS README TODO
%{_datadir}/ladspa/rdf/swh-aux.rdf
%{_datadir}/ladspa/rdf/swh-plugins.rdf
%{_libdir}/ladspa/*.so

# -----------------------------------------------------------------------------

%changelog
* Tue Jun 10 2003 Thomas Vander Stichele <thomas at apestaart dot org>
- 0:0.4.2-0.fdr.1: initial RPM release
